#!/bin/sh
# Remove all but the latest $keep kernels (and headers)
#
keep=2
sudo aptitude purge $( 
	for i in linux-headers-[0-9]*[0-9] linux-headers-[0-9]*generic linux-image-[0-9]* linux-image-extra-[0-9]*; do 
		dpkg -l $i 2>/dev/null | grep ^ii | awk {'print $2'} | grep [0-9] | sort | head -n -${keep}; 
	done 
)
